Bug 888012 - abrt no longer allows reporting kernel crashes - uReport exited with exit code 1
Summary: abrt no longer allows reporting kernel crashes - uReport exited with exit code 1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 18
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Michal Toman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-17 20:09 UTC by Mikko Tiihonen
Modified: 2015-03-23 00:41 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:17:20 UTC
Type: Bug


Attachments (Terms of Use)
abrt-gui -vvv output (28.52 KB, text/plain)
2012-12-17 20:09 UTC, Mikko Tiihonen
no flags Details

Description Mikko Tiihonen 2012-12-17 20:09:54 UTC
Created attachment 665092 [details]
abrt-gui -vvv output

Description of problem:

For some time reporting kernel crashes has always failed with uReport exit 1

Version-Release number of selected component (if applicable):

abrt-2.0.19-2.fc18.x86_64
libreport-plugin-ureport-2.0.19-3.fc18.x86_64


How reproducible:
always

Steps to Reproduce:
1. make kernel generate oops
2. try to report it with abrt-gui or abrt-cli
  
Actual results:
Reporting fails with retrace.fedoraproject.org:
http code 400 body:'{"error": "Validation failed: missing mandatory element 'core_backtrace'"}'

Comment 1 Michal Toman 2012-12-20 08:15:39 UTC
Fixed in git

commit 165bb461a5534286eb4c71a90249f67bb5742d51
Author: Michal Toman <mtoman@redhat.com>
Date:   Wed Dec 19 16:12:42 2012 +0100

    koops: generate core backtrace if missing

Comment 2 Fedora Update System 2012-12-20 08:55:57 UTC
abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18

Comment 3 Fedora Update System 2012-12-20 09:46:20 UTC
abrt-2.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc17

Comment 4 Fedora Update System 2012-12-21 01:30:53 UTC
Package abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.20-1.fc18 btparser-0.24-1.fc18 libreport-2.0.20-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20725/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-01-12 01:17:22 UTC
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-02-26 02:39:27 UTC
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.